Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
[Java] Class AbstractASTTransformUtil

    java.lang.Object
      org.codehaus.groovy.transform.AbstractASTTransformUtil

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public abstract class AbstractASTTransformUtil
    extends java.lang.Object

Method Summary
`static Statement` | `assignStatement(Expression fieldExpr, Expression value)`
`static Statement` | `createConstructorStatementDefault(FieldNode fNode)`
`static ExpressionStatement` | `declStatement(Expression result, Expression init)`
`static BooleanExpression` | `equalsNullExpr(Expression argExpr)`
`static Expression` | `findArg(java.lang.String argName)`
`static java.util.List` | `getInstanceNonPropertyFields(ClassNode cNode)`
`static java.util.List` | `getInstanceProperties(ClassNode cNode)`
`static java.util.List` | `getInstancePropertyFields(ClassNode cNode)`
`static java.util.List` | `getSuperNonPropertyFields(ClassNode cNode)`
`static java.util.List` | `getSuperPropertyFields(ClassNode cNode)`
`static boolean` | `hasDeclaredMethod(ClassNode cNode, java.lang.String name, int argsCount)`
`static BooleanExpression` | `isInstanceOf(Expression objectExpression, ClassNode cNode)`
`static BooleanExpression` | `isInstanceof(ClassNode cNode, Expression other)`
`static BooleanExpression` | `isOneExpr(Expression expr)`
`static boolean` | `isOrImplements(ClassNode fieldType, ClassNode interfaceType)`
`static BooleanExpression` | `isTrueExpr(Expression argExpr)`
`static BooleanExpression` | `isZeroExpr(Expression expr)`
`static BooleanExpression` | `notNullExpr(Expression argExpr)`
`static Statement` | `returnFalseIfFieldNotEqual(FieldNode fNode, Expression other)`
`static Statement` | `returnFalseIfNotInstanceof(ClassNode cNode, Expression other)`
`static IfStatement` | `returnFalseIfNull(Expression other)`
`static Statement` | `returnFalseIfPropertyNotEqual(FieldNode fNode, Expression other)`
`static Statement` | `returnFalseIfPropertyNotEqual(PropertyNode pNode, Expression other)`
`static Statement` | `returnFalseIfWrongType(ClassNode cNode, Expression other)`
`static IfStatement` | `returnTrueIfIdentical(Expression self, Expression other)`
`static Statement` | `safeExpression(Expression fieldExpr, Expression expression)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### assignStatement

    public static Statement assignStatement(Expression fieldExpr, Expression value)

### createConstructorStatementDefault

    public static Statement createConstructorStatementDefault(FieldNode fNode)

### declStatement

    public static ExpressionStatement declStatement(Expression result, Expression init)

### equalsNullExpr

    public static BooleanExpression equalsNullExpr(Expression argExpr)

### findArg

    public static Expression findArg(java.lang.String argName)

### getInstanceNonPropertyFields

    public static java.util.List getInstanceNonPropertyFields(ClassNode cNode)

### getInstanceProperties

    public static java.util.List getInstanceProperties(ClassNode cNode)

### getInstancePropertyFields

    public static java.util.List getInstancePropertyFields(ClassNode cNode)

### getSuperNonPropertyFields

    public static java.util.List getSuperNonPropertyFields(ClassNode cNode)

### getSuperPropertyFields

    public static java.util.List getSuperPropertyFields(ClassNode cNode)

### hasDeclaredMethod

    public static boolean hasDeclaredMethod(ClassNode cNode, java.lang.String name, int argsCount)

### isInstanceOf

    public static BooleanExpression isInstanceOf(Expression objectExpression, ClassNode cNode)

### isInstanceof

    public static BooleanExpression isInstanceof(ClassNode cNode, Expression other)

### isOneExpr

    public static BooleanExpression isOneExpr(Expression expr)

### isOrImplements

    public static boolean isOrImplements(ClassNode fieldType, ClassNode interfaceType)

### isTrueExpr

    public static BooleanExpression isTrueExpr(Expression argExpr)

### isZeroExpr

    public static BooleanExpression isZeroExpr(Expression expr)

### notNullExpr

    public static BooleanExpression notNullExpr(Expression argExpr)

### returnFalseIfFieldNotEqual

    public static Statement returnFalseIfFieldNotEqual(FieldNode fNode, Expression other)

### returnFalseIfNotInstanceof

    public static Statement returnFalseIfNotInstanceof(ClassNode cNode, Expression other)

### returnFalseIfNull

    public static IfStatement returnFalseIfNull(Expression other)

### returnFalseIfPropertyNotEqual

    @Deprecated
    public static Statement returnFalseIfPropertyNotEqual(FieldNode fNode, Expression other)

### returnFalseIfPropertyNotEqual

    public static Statement returnFalseIfPropertyNotEqual(PropertyNode pNode, Expression other)

### returnFalseIfWrongType

    public static Statement returnFalseIfWrongType(ClassNode cNode, Expression other)

### returnTrueIfIdentical

    public static IfStatement returnTrueIfIdentical(Expression self, Expression other)

### safeExpression

    public static Statement safeExpression(Expression fieldExpr, Expression expression)

Groovy Documentation